# vim: set et ts=4 sw=4:

# BootCD based on Windows 10 PE x64.
hirensbootcd:
    home: https://www.hirensbootcd.org/

centos7:
    pkgs-search: https://centos.pkgs.org/7/
    repo:
        mysql:
            - https://repo.mysql.com/yum/mysql-8.0-community/el/7/
            - https://repo.percona.com/yum/release/7/RPMS/

# 一款多平台词典软件. 管方闭源, 但词典格式被 GoldenDict 等开源软件支持, 并有相关开源工具.
mdict:
    home: https://www.mdict.cn/
    code:
        - https://bitbucket.org/xwang/mdict-analysis
        - https://github.com/liuyug/mdict-utils  # "mdict_utils/base/readmdict" 来自 mdict-analysis
    repo:
        pip: mdict-utils

# 开源跨平台词典软件.
goldendict:
    doc:
        "增强: GoldenDict-OCR":
            - https://autoptr.top/categories/GoldenDict
            - https://github.com/nonwill/GoldenDict-OCR"
    code:
        - https://github.com/goldendict/goldendict

calibre:
    desc:
        - 一站式电子书解决方案，包含电子书查看器、格式转换等工具。
        - Calibre is a complete e-library solution, contains ebook-viewer, ebook-convert etc.
    home: https://calibre-ebook.com/
    package:
        ubuntu: calibre
    workaround:
        ebook-convert: |
            2022.11 实际使用发现，有时转换到 .epub 格式会失败 (拆分 html 失败?) ，
            转换到 .zip (打包后的 html 及相关文件) 未报错但发现会丢失数据，但转换到 .htmlz 可成功。
            .htmlz 的缺点是所有内容会合并为一个 html ，失去了文件组织结构，
            并且 ebook-viewer 打开 .htmlz 可能会报错 (文件太大?) ，但可解压后用 firefox 或 vim 等查看或处理。
